Bug 447207 - msynctool crashes when synchronizing a Palm device addressbook
msynctool crashes when synchronizing a Palm device addressbook
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libopensync-plugin-palm (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 15:54 EDT by Matt McCutchen
Modified: 2009-07-14 13:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:47:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Tarball of terminal output, backtrace, & opensync traces (18.98 KB, application/x-bzip2)
2008-05-18 15:54 EDT, Matt McCutchen
no flags Details

  None (edit)
Description Matt McCutchen 2008-05-18 15:54:36 EDT
Description of problem:
When I try to synchronize the empty address book of my Sony Clié PEG-NX60
(connected via the USB cradle) with an empty directory, msynctool crashes with a
segmentation fault.

Version-Release number of selected component (if applicable):
libopensync-0.36-2.fc9.i386
libopensync-plugin-palm-0.35-3.fc9.i386
libopensync-plugin-file-0.35-3.fc9.i386
pilot-link-0.12.3-13.fc9.i386
msynctool-0.35-4.fc9.i386

How reproducible:
Every time (for me)

Steps to Reproduce:
1. Delete ~/.opensync .
2. Setup:

mkdir ~/pim/test1
msynctool --addgroup TestPalm
msynctool --addmember TestPalm file-sync
msynctool --addmember TestPalm palm-sync
msynctool --configure TestPalm 1   # path: ~/pim/test1, objtype: contact
msynctool --configure TestPalm 2   # sockaddr: "usb:", leave the rest alone
msynctool --discover TestPalm 1
msynctool --discover TestPalm 2

3. Run the synchronization:

OSYNC_TRACE=~/pim/trace OSYNC_PRIVACY=1 gdb --args msynctool --sync TestPalm
run
# Put the PDA in the cradle and press the HotSync button.

Actual results:
msynctool crashes with a segmentation fault; see the attachment.

Expected results:
The synchronization completes successfully with no change to either side (since
both are empty).

Additional info:
I can synchronize two directories fine, so I think the problem is on the Palm
plugin side.  The problem may just be with my Palm device, but if it can be
reproduced with other devices, it may be worth investigating.  I believe the
synchronization worked fine with the Fedora 8 packages.
Comment 1 Matt McCutchen 2008-05-18 15:54:36 EDT
Created attachment 305878 [details]
Tarball of terminal output, backtrace, & opensync traces
Comment 2 Bug Zapper 2009-06-09 20:58:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 13:47:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.